﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows;

namespace XamGridHorizontalScrolling
{
    public class TestConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (NullOrUnset(values))
                return Binding.DoNothing;

            var row = values[0] as Dictionary<string,object>;
            var columnKey = (values[1] as string);

            return row.ContainsKey(columnKey) ? row[columnKey].ToString() : null;
        }



        private bool NullOrUnset(object[] values)
        {
            foreach (var v in values)
                if (v == null || v.Equals(DependencyProperty.UnsetValue))
                    return true;
            return false;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
